configure

changeset 74
b3f2711684a7
child 87
bd7888c3745a
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/configure	Fri Jan 01 21:28:16 2016 +0000
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+SQUISH=./buildscripts/squish
+PREFIX="/usr/local"
+
+# Help
+
+show_help() {
+cat <<EOF
+Configure Prosody prior to building.
+
+--help                      This help.
+--prefix                    Installation path prefix (used when installing)
+                            Default: $PREFIX
+--squish                    Path to squish utility (used for building)
+                            Default: $SQUISH
+EOF
+}
+
+
+while [ "$1" ]
+do
+   value="`echo $1 | sed 's/[^=]*=\(.*\)/\1/'`"
+   if echo "$value" | grep -q "~"
+   then
+      echo
+      echo '*WARNING*: the "~" sign is not expanded in flags.'
+      echo 'If you mean the home directory, use $HOME instead.'
+      echo
+   fi
+   case "$1" in
+   --help)
+      show_help
+      exit 0
+      ;;
+   --with-squish=*)
+      SQUISH="$value"
+      ;;
+   --prefix=*)
+      PREFIX="$value"
+      ;;
+   *)
+      echo "Error: Unknown flag: $1"
+      exit 1
+      ;;
+   esac
+   shift
+done
+
+# Sanity-check options
+
+if ! test -x "$SQUISH"; then
+	echo "FATAL: Unable to find/use squish: $SQUISH";
+	exit 1;
+fi
+
+cat <<EOF >config.unix
+
+# This file was automatically generated by the configure script.
+# Run "./configure --help" for details.
+
+SQUISH=./buildscripts/squish
+PREFIX=$PREFIX
+
+EOF
+
+echo
+echo "Installing squish to:      $PREFIX/bin"
+echo
+echo "Configured successfully. Please run 'make' to proceed."

mercurial